package com.alibaba.opensec.sample;

import java.util.TreeMap;

import com.alibaba.opensec.ych_sdk.YchClient;

/*
 * 物流日志接入示例代码
 */
public class TestExpressQuery extends BaseTest {

	public TestExpressQuery() throws Exception {
		super();
	}

	@Override
	public void exec() {
		String url = apiHost + "ecoLog";
    	TreeMap<String, String> param = constructParam();		
		YchClient sdk = new YchClient(appkey, secret);
		String rsp = sdk.send(url, param);
		parseResult(rsp);		
	}

	private TreeMap<String, String> constructParam() {	
    	TreeMap<String, String> paramMap = new TreeMap<String, String>(String.CASE_INSENSITIVE_ORDER);

    	paramMap.put("appId", appkey);
		paramMap.put("method", "express_query");
		paramMap.put("time", defaultParam.get("time"));
		paramMap.put("operation_time", defaultParam.get("time"));
		paramMap.put("company", "xxx物流有限公司");
		paramMap.put("station_id", "1234");
		paramMap.put("station", "xxx中心");
		paramMap.put("province", "浙江");
		paramMap.put("city", "杭州");
		paramMap.put("user_id", "10001");
		paramMap.put("user", "administrator");
		paramMap.put("source_type", "pc");
		paramMap.put("source_application", defaultParam.get("appName"));
		paramMap.put("source_public_ip", "42.120.74.90");
		paramMap.put("source_private_ip", "10.1.2.3");
		paramMap.put("source_vpn_ip", "10.2.3.4");
		paramMap.put("source_mac", "00-50-56-C0-00-08");
		paramMap.put("target_application", defaultParam.get("appName"));
		paramMap.put("target_public_ip", "140.205.32.56");
		paramMap.put("target_private_ip", "10.99.1.2");
		paramMap.put("operation_type", "查询");
		paramMap.put("result", "success");
		paramMap.put("reason", "mail_no not found.");
		paramMap.put("content", "receiver_phone;receiver_name;");
		paramMap.put("mail_no", "211403581124;211403581125");
		paramMap.put("order_id", "");
		paramMap.put("wms_id", "");
		paramMap.put("association_number", "2");
		paramMap.put("email", "");
		paramMap.put("feature", "");

		return paramMap;
	}
}
