package com.alibaba.opensec.sample;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.opensec.ych_sdk.YchClient;

/*
 * 企业版用户订单访问日志接入示例代码
 */
public class TestOrderEvent extends BaseTest {

	public TestOrderEvent() throws Exception {
		super();
	}

	@Override
	public void exec() {
		String url = apiHost + "ecoLog";
		Map<String, String> param = constructParam();
		
		List<Map<String, String>> paramList = new ArrayList<Map<String,String>>();
		
		for (int i = 0; i < 5; i++) {
			paramList.add(param);
		}		
		
		JSONArray jsonObj = (JSONArray) JSONArray.toJSON(paramList);
		TreeMap<String, String> paramNew = new TreeMap<String, String>(String.CASE_INSENSITIVE_ORDER);
		paramNew.put("topAppkey", topAppkey);
		paramNew.put("data", jsonObj.toString());
		paramNew.put("method", "orderEvent");
		paramNew.put("format", "json");
		paramNew.put("appkey", appkey);
		paramNew.put("time", defaultParam.get("ntime"));
		
		YchClient sdk = new YchClient(appkey, secret);
		String rsp = sdk.send(url, paramNew);
		parseResult(rsp);	
	}

	private TreeMap<String, String> constructParam() {
		
		TreeMap<String, String> paramMap = new TreeMap<String, String>();
		
		paramMap.put("time", defaultParam.get("ntime"));
		paramMap.put("ati", defaultParam.get("ati"));
		paramMap.put("userId", defaultParam.get("userId"));
		paramMap.put("userIp", defaultParam.get("userIp"));
		paramMap.put("appName", defaultParam.get("appName"));
		paramMap.put("url", "https://www.taobao.com");
		paramMap.put("tradeIds", "123456789012345;123456789012346;12345678901234");
		paramMap.put("operation", "query");
		
		return paramMap;
	}
}
